com.comtrade.ecm.engine.logging

## Interface EcmSimpleLogger

- All Known Subinterfaces:
    EcmLogger
  All Known Implementing Classes:
    AbstractLogger, LoggerDefault

      public interface EcmSimpleLogger

  Defines a simple logging object. It only logs messages. It does not create them. If there is a need for more complex creation of messages, then an inherited interfaces should be used.
  See Also:
    `Identifiable`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(Identifiable identifiable, java.lang.String text)`
    `void` | `debug(Identifiable identifiable, java.lang.String text, java.lang.Throwable e)`
    `void` | `debug(java.lang.String text)`
    `void` | `debug(java.lang.String text, java.lang.Throwable e)`
    `void` | `debug(java.lang.Throwable e)`
    `void` | `error(Identifiable identifiable, java.lang.String text)`
    `void` | `error(Identifiable identifiable, java.lang.String text, java.lang.Throwable e)`
    `void` | `error(java.lang.String text)`
    `void` | `error(java.lang.String text, java.lang.Throwable e)`
    `void` | `error(java.lang.Throwable e)`
    `void` | `info(Identifiable identifiable, java.lang.String text)`
    `void` | `info(Identifiable identifiable, java.lang.String text, java.lang.Throwable e)`
    `void` | `info(java.lang.String text)`
    `void` | `info(java.lang.String text, java.lang.Throwable e)`
    `void` | `info(java.lang.Throwable e)`
    `boolean` | `isDebugEnabled()`
    `boolean` | `isErrorEnabled()`
    `boolean` | `isInfoEnabled()`
    `boolean` | `isWarnEnabled()`
    `void` | `setLoggingLevel(LoggingLevel level)`
    `void` | `warning(Identifiable identifiable, java.lang.String text)`
    `void` | `warning(Identifiable identifiable, java.lang.String text, java.lang.Throwable e)`
    `void` | `warning(java.lang.String text)`
    `void` | `warning(java.lang.String text, java.lang.Throwable e)`
    `void` | `warning(java.lang.Throwable e)`

- - ### Method Detail

    - #### debug

          void debug(java.lang.String text)

    - #### debug

          void debug(Identifiable identifiable,
                     java.lang.String text)

    - #### debug

          void debug(java.lang.Throwable e)

    - #### debug

          void debug(java.lang.String text,
                     java.lang.Throwable e)

    - #### debug

          void debug(Identifiable identifiable,
                     java.lang.String text,
                     java.lang.Throwable e)

    - #### info

          void info(java.lang.String text)

    - #### info

          void info(Identifiable identifiable,
                    java.lang.String text)

    - #### info

          void info(java.lang.Throwable e)

    - #### info

          void info(java.lang.String text,
                    java.lang.Throwable e)

    - #### info

          void info(Identifiable identifiable,
                    java.lang.String text,
                    java.lang.Throwable e)

    - #### warning

          void warning(java.lang.String text)

    - #### warning

          void warning(Identifiable identifiable,
                       java.lang.String text)

    - #### warning

          void warning(java.lang.Throwable e)

    - #### warning

          void warning(java.lang.String text,
                       java.lang.Throwable e)

    - #### warning

          void warning(Identifiable identifiable,
                       java.lang.String text,
                       java.lang.Throwable e)

    - #### error

          void error(java.lang.String text)

    - #### error

          void error(Identifiable identifiable,
                     java.lang.String text)

    - #### error

          void error(java.lang.Throwable e)

    - #### error

          void error(java.lang.String text,
                     java.lang.Throwable e)

    - #### error

          void error(Identifiable identifiable,
                     java.lang.String text,
                     java.lang.Throwable e)

    - #### isErrorEnabled

          boolean isErrorEnabled()

    - #### isDebugEnabled

          boolean isDebugEnabled()

    - #### isWarnEnabled

          boolean isWarnEnabled()

    - #### isInfoEnabled

          boolean isInfoEnabled()

    - #### setLoggingLevel

          void setLoggingLevel(LoggingLevel level)